Bug 211853 - dns/dnscrypt-proxy: Update to 1.7.0
Summary: dns/dnscrypt-proxy: Update to 1.7.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Dmitry Marakasov
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2016-08-15 01:40 UTC by lightside
Modified: 2016-09-06 19:12 UTC (History)
1 user (show)

See Also:
freebsd: maintainer-feedback+


Attachments
Proposed patch (since 418449 revision) (4.40 KB, patch)
2016-08-15 01:40 UTC, lightside
lightside: maintainer-approval? (freebsd)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description lightside 2016-08-15 01:40:51 UTC
Created attachment 173685 [details]
Proposed patch (since 418449 revision)

Patch to update dns/dnscrypt-proxy port from 1.6.1 to 1.7.0 version.

Look following links for changes:
https://github.com/jedisct1/dnscrypt-proxy/releases/tag/1.7.0
https://github.com/jedisct1/dnscrypt-proxy/compare/1.6.1...1.7.0

- Add PLUGINS option, which enabled by default (as upstream used)
- Add optional PLUGINS_RELAXED and PLUGINS_ROOT options
- Add OPTIONS_SUB=yes
- Use new options helpers
- Adapt pkg-plist

Possible to make PLUGINS option as optional, instead of default.

Tested with using poudriere on FreeBSD 9.3 amd64 and native build on FreeBSD 10.2 amd64.

The portlint suggested to add USE_LDCONFIG define, but dnscrypt-proxy uses different algorithm to load plugin(s):
https://github.com/jedisct1/dnscrypt-proxy/blob/27084d6ef9bc83b56789ce49365cd9e2a582f046/src/proxy/Makefile.am#L87
https://github.com/jedisct1/dnscrypt-proxy/blob/27084d6ef9bc83b56789ce49365cd9e2a582f046/src/proxy/plugin_support.c#L200

% make configure
% make -V WRKSRC | xargs make -V pkglibdir -C
/usr/local/lib/dnscrypt-proxy
% make clean
Comment 1 Dmitry Marakasov freebsd_committer 2016-08-23 10:28:23 UTC
Looks good & builds fine, awaiting maintainer's feedback.
Comment 2 Leo Vandewoestijne 2016-09-03 23:07:04 UTC
All great! Very appreciated!

Approved.
Comment 3 commit-hook freebsd_committer 2016-09-06 19:12:18 UTC
A commit references this bug:

Author: amdmi3
Date: Tue Sep  6 19:11:37 UTC 2016
New revision: 421460
URL: https://svnweb.freebsd.org/changeset/ports/421460

Log:
  - Update to 1.7.0
  - Optionize PLUGINS

  PR:		211853
  Submitted by:	lightside@gmx.com
  Approved by:	freebsd@dns-lab.com (maintainer)

Changes:
  head/dns/dnscrypt-proxy/Makefile
  head/dns/dnscrypt-proxy/distinfo
  head/dns/dnscrypt-proxy/files/patch-src_proxy_edns.c
  head/dns/dnscrypt-proxy/pkg-plist